Skip to content Kleinanzeigen Public API Gateway Documentation
POST
/v1/media
curl --request POST \
--url https://developer.kleinanzeigen.de/api/goods/v1/media \
--header 'Content-Type: application/json' \
--header 'HttpHeaders.AUTHORIZATION: eyJhbGciOiJIUzI1NiIsInR5...' \
--data '{ "mediaType": "example" }'

Creates a ticket for uploading media files. Returns a pre-signed URL for direct upload.

HttpHeaders.AUTHORIZATION
required
Media type application/json
object
mediaType
required
string
Example generated
{
"mediaType": "example"
}

Media upload ticket created successfully

Media type application/json
object
ticketUuid
required
string
signedPutUrl
required
string
expireAt
required
string
Example
{
"ticketUuid": "def45678-e89b-12d3-a456-426614174005",
"signedPutUrl": "https://s3.url",
"expireAt": "2023-12-01T11:30:00Z"
}

Bad request

Media type application/json
object
type
string format: uri
title
string | null
status
integer format: int32
detail
string | null
instance
string | null format: uri
properties
object | null
Example
{
"type": "about:blank",
"status": 400,
"title": "Bad Request",
"detail": "Failed to read request",
"instance": "/api/v1/media",
"localizedTitle": "",
"localizedDetail": "",
"localizedMessage": ""
}

Unsupported Media Type

Media type application/json
object
type
string format: uri
title
string | null
status
integer format: int32
detail
string | null
instance
string | null format: uri
properties
object | null
Example
{
"type": "about:blank",
"status": 415,
"title": "Unsupported Media Type",
"detail": "Unsupported media type: '<user-input>'. Supported types are: image/jpeg, image/png",
"instance": "/api/v1/media",
"localizedTitle": "",
"localizedDetail": "",
"localizedMessage": ""
}